Creating legacy public apps and project-based apps is temporarily unavailable for new HubSpot accounts.
Learn more in our Trust Center.
curl --request GET \
--url https://api.hubapi.com/crm-object-schemas/v3/schemas \
--header 'Authorization: Bearer <token>'{
"results": [
{
"associations": [
{
"fromObjectTypeId": "2-123456",
"id": "123",
"name": "my_object_to_contact",
"toObjectTypeId": "0-1"
}
],
"createdAt": "2020-02-20T18:07:11.390Z",
"fullyQualifiedName": "p7878787_my_object\"",
"id": "123456",
"labels": {
"plural": "My objects",
"singular": "My object"
},
"metaType": "PORTAL_SPECIFIC",
"name": "my_object",
"primaryDisplayProperty": "my_object_property",
"properties": [
{
"archived": false,
"calculated": false,
"createdAt": "2020-02-20T18:07:11.802Z",
"displayOrder": -1,
"externalOptions": false,
"fieldType": "text",
"groupName": "my_object_information",
"hasUniqueValue": false,
"label": "My object property",
"name": "my_object_property",
"type": "string",
"updatedAt": "2020-02-20T18:07:11.802Z"
}
],
"requiredProperties": [
"my_object_property"
],
"searchableProperties": [
"my_object_property"
],
"updatedAt": "2020-02-20T18:09:07.555Z"
}
]
}Retrieve all custom object schemas, with options to include property definitions, association definitions, and audit metadata.
curl --request GET \
--url https://api.hubapi.com/crm-object-schemas/v3/schemas \
--header 'Authorization: Bearer <token>'{
"results": [
{
"associations": [
{
"fromObjectTypeId": "2-123456",
"id": "123",
"name": "my_object_to_contact",
"toObjectTypeId": "0-1"
}
],
"createdAt": "2020-02-20T18:07:11.390Z",
"fullyQualifiedName": "p7878787_my_object\"",
"id": "123456",
"labels": {
"plural": "My objects",
"singular": "My object"
},
"metaType": "PORTAL_SPECIFIC",
"name": "my_object",
"primaryDisplayProperty": "my_object_property",
"properties": [
{
"archived": false,
"calculated": false,
"createdAt": "2020-02-20T18:07:11.802Z",
"displayOrder": -1,
"externalOptions": false,
"fieldType": "text",
"groupName": "my_object_information",
"hasUniqueValue": false,
"label": "My object property",
"name": "my_object_property",
"type": "string",
"updatedAt": "2020-02-20T18:07:11.802Z"
}
],
"requiredProperties": [
"my_object_property"
],
"searchableProperties": [
"my_object_property"
],
"updatedAt": "2020-02-20T18:09:07.555Z"
}
]
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Whether to return only results that have been archived.
Whether to include association definitions in the response.
Whether to include audit metadata in the response.
Whether to include property definitions in the response.
successful operation
Show child attributes
Was this page helpful?